Bug 427123 - Keyboard Shortcuts applet allows Escape, Backspace to be assigned when Caps Lock is on
Keyboard Shortcuts applet allows Escape, Backspace to be assigned when Caps L...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-31 19:33 EST by Michael Chapman
Modified: 2008-03-31 08:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-31 08:34:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 524813 None None None Never

  None (edit)
Description Michael Chapman 2007-12-31 19:33:14 EST
Description of problem:

When Caps Lock is on, the Keyboard Shortcuts applet lets you assign Escape and
Backspace to actions.

When editing an action, Escape is supposed to cancel the edit, Backspace is
supposed to clear the assigned shortcut. These work correctly when Caps Lock is off.

Version-Release number of selected component (if applicable):

control-center-2.20.1-5.fc8

How reproducible:

Steps to Reproduce:
1. Turn on Caps Lock
2. Click a row to begin editing the action
3. Press Escape or Backspace
  
Actual results:

Escape or Backspace is assigned to the action.

Expected results:

For Escape, the shortcut should revert back to the old setting. For Backspace,
the shortcut should be removed.
Comment 1 Bastien Nocera 2008-03-28 11:36:57 EDT
Good catch. Filed upstream with patch at:
http://bugzilla.gnome.org/show_bug.cgi?id=524813
Comment 2 Bastien Nocera 2008-03-31 08:34:22 EDT
Fixed in rawhide. I won't commit the fix to Fedora 8, as you're the only person
to have noticed this problem in the past ~2/3 years that the code existed...

Note You need to log in before you can comment on or make changes to this bug.